#
# Created by System Generator     Thu Dec 26 23:40:53 2013
#
# Note: This file is produced automatically, and will be overwritten the next
# time you press "Generate" in System Generator.
#

set exename [info nameofexecutable]

set CurrentTclShell [file tail [ file rootname $exename ] ]

if { [string match "planAhead" $CurrentTclShell] } {
    source SgPaProject.tcl
} else {
    source SgIseProject.tcl
	 }

namespace eval ::xilinx::dsptool::iseproject::param {

    set Project {lab7_solution_cw}
    set Family {Spartan3}
    set Device {xc3s400}
    set Package {pq208}
    set Speed {-4}
    set HDLLanguage {vhdl}
    set SynthesisTool {XST}
    set Simulator {Modelsim-SE}
    set ReadCores {False}
    set MapEffortLevel {High}
    set ParEffortLevel {High}
    set Frequency {100}
    set ProjectFiles {
        {{lab7_solution_cw.vhd} -view All}
        {{lab7_solution.vhd} -view All}
        {{lab7_solution_tb.vhd} -view Simulation}
        {{lab7_solution_cw.ucf}}
        {{fir_compiler_v5_0.mif}}
        {{fr_cmplr_v5_0_e9beb8b22d627e43.mif}}
        {{fr_cmplr_v5_0_e9beb8b22d627e43COEFF_auto0_0.mif}}
        {{fr_cmplr_v5_0_e9beb8b22d627e43filt_decode_rom.mif}}
        {{C:\Users\mazraeh\Desktop\lab7\solution\lab7_solution.mdl}}
    }
    set TopLevelModule {lab7_solution_cw}
    set TestBenchModule {lab7_solution_tb}
    set SynthesisConstraintsFile {lab7_solution_cw.xcf}
    set ISimCustomProjectFile {isim_lab7_solution.prj}
    set SimulationTime {990275.000000 ns}
    set BehavioralSimulationCustomDoFile {pn_behavioral.do}
    set PostTranslateSimulationCustomDoFile {pn_posttranslate.do}
    set PostMapSimulationCustomDoFile {pn_postmap.do}
    set ImplementationStopView {Structural}
    set ProjectGenerator {SysgenDSP}
}

if { [string match "planAhead" $CurrentTclShell] } {
    if { [info exists ::xilinx::dsptool::planaheadprojecttest::is_doing_planAheadGenTest] } {
        ::xilinx::dsptool::planaheadproject::compile_planahead_project
    } else {
        ::xilinx::dsptool::planaheadproject::create
    }
} else {
    ::xilinx::dsptool::iseproject::create
	 }
